loadClasses();  
function loadClasses() {   
		//checkLogin();
		var token = localStorage.getItem('shalatoken');
		var url = 'readclassname.php';
		var formData = new FormData(); 
		if (sessionStorage.getItem('user') && user == ''){
			user = sessionStorage.getItem('user');
		}
		 
		if (user.length) {		
			formData.append('user', user ); 
			formData.append('shala', token ); 
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem in data');
					return;
				  }
				  response.text().then(function(data) { 
					var mydata = JSON.parse(data)   
					whoami()
					addClassNames(mydata)  
					showClasess(mydata) 
				  });
			}); 
		}else{
			alert('Login');
		}
}
 
function addUserEntry() {   
		//checkLogin(); 
		var cname = document.getElementById("gvselclassid").value
		var fscat = document.getElementById("gvgselfsid").value
		var sname = document.getElementById("gvselclsubid").value
		var user = document.getElementById("gvusersid").value 
		// console.log( user.length,  cname  ); 
		var insert = false; 
		if (user.length > 0 && cname.length >0 && fscat>0 && goodWords(user) ){
			if ( fscat==1 && sname.length > 0 ){
				insert=true; 
			}else if ( fscat==2 ){
				insert=true; 
			}
		}
		else{
			alert('Enter inputs correctly');
		}
		if (insert) {
			var url = 'setuserentry.php';
			var formData = new FormData(); 
			formData.append('user', user );  
			formData.append('cname', wordsInitCap(cname) );
			formData.append('fscat', fscat );
			formData.append('sname', sname );
			formData.append('shala', localStorage.getItem('shalatoken') );
			fetch(url, { method: 'POST', body: formData })
			.then(
				function(response) {
				  if (response.status !== 200) {
					console.log('Problem in data');
					return;
				  }
				  response.text().then(function(data) { 
					if ( data < 0 ) {
						alert('Data not saved');
					}else {
						alert('Data saved');
					    location.reload();
					}
				  });
			});  
		}
}  
function enableField(){
	var uselect = document.getElementById("gvgselfsid").value
	if (uselect == 1 ){
		document.getElementById("gvselclsubid").style.display='block';  
	}else{
		document.getElementById("gvselclsubid").style.display='none';  		
	}  
	document.getElementById("gvusersid").style.display='block';  		
	document.getElementById("lcid").style.display='block';  		
	
}
function resetSel(){
		document.getElementById("gvselclassid").value=0;  
		document.getElementById("gvgselfsid").value=0;  
		document.getElementById("gvusersid").value=''; 
		document.getElementById("gvcountid").innerText='';
		document.getElementById("gvselclsubid").style.display='none'; 
		document.getElementById("gvusersid").style.display='none';  			
		document.getElementById("lcid").style.display='none';  			
		document.getElementById("gvselclsubid").value=0;  
	/**/ 	var ucselect = document.getElementById("gvselclassid") 
		var usselect = document.getElementById("gvgselfsid") 
		for (var i = 0, l = ucselect.length; i < l; i++) {
			ucselect[i].selected = ucselect[i].defaultSelected;
		} 
		for (var i = 0, l = usselect.length; i < l; i++) {
			usselect[i].selected = usselect[i].defaultSelected;
		} 
		//location.reload()
}
function chkNameCount(){
	var namecount = document.getElementById("gvusersid").value.split(',').length;
	 document.getElementById("gvcountid").innerText = parseInt(namecount-1);
}
function addClassNames(mydata){
	var ucselect = document.getElementById("gvselclassid")  
	var usselect = document.getElementById("gvselclsubid") 
	var len = mydata.length; 
	var chkarr = []; 
	for (var i = 0; i< len ; i++){
		var optc = document.createElement('option');
		optc.value = mydata[i]['code'] ;
		optc.innerHTML = mydata[i]['code'] ;
		ucselect.appendChild(optc); 
		var gurus = mydata[i]['patra'] ; 
		for (var g = 0; g< gurus.length ; g++){ 
			if (gurus[g]['name']==user){
				chkarr.push(gurus[g]['subj'] ); 
			}else{
				chkarr.push(gurus[g]['subj'] + '*' ); 
			}
		}	
	}	
	chkarr=chkarr.filter(getUnqArrVal)
	for (var g = 0; g< chkarr.length ; g++){
		var opts = document.createElement('option'); 
		opts.value = chkarr[g].replace('*','');
		opts.innerHTML = chkarr[g];
		usselect.appendChild(opts); 
	}	
	/*
	for (var i = 0; i< len ; i++){
		var optc = document.createElement('option');
		optc.value = mydata[i]['code'] ;
		optc.innerHTML = mydata[i]['code'] ;
		ucselect.appendChild(optc); 
	}	
	*/
 
}
function alertDel(iidx=-1,gidx=-1,gname='?'){ 
	if (iidx>=0 && gidx>=0 && gname.length>0){ 
		var url = "classentrydel.php"; 
 		var formData = new FormData(); 
		formData.append('iidx', iidx );
		formData.append('gidx', gidx );
		formData.append('gname', gname ); 
		formData.append('shala', localStorage.getItem('shalatoken') ); 
		fetch(url, { method: 'POST', body: formData })
		.then(
			function(response) {
				if (response.status !== 200) {
					console.log('Problem in data');
					return;
				}
				response.text().then(function(data) { 
				if ( data < 0 ) {
					alert('Data not saved');
				}else {
					alert('Data deleted');
					location.reload();
				}
				});
			});    
	}  
}
function showClasess(mydata){  
	var add2div =document.getElementById("classlsid");
	var ule = document.createElement('ul');
	ule.setAttribute('id','classulid');
	ule.className = 'w3-ul w3-border w3-hoverable'; 
	for (var i=0;i<mydata.length;i++){  
		var gurus = mydata[i]['patra'] ;  
		for (var g = 0; g< gurus.length ; g++){  
				var lie = document.createElement('li');   
				var fscat = '';
				if ( gurus[g]['fscat']==1 && gurus[g]['name'] == user){
					fscat='<span class="w3-tag w3-margin-left  w3-small menubgc w3-round ">Self</span>'
				}else if ( gurus[g]['fscat']==1 && gurus[g]['name'] != user){
					fscat='<span class="w3-tag w3-margin-left  w3-small w3-pale-green w3-round ">Faculty</span>'
				}else{
					fscat='<span class="w3-tag w3-margin-left w3-khaki w3-small  w3-round ">Student</span>'
				}		
				lie.className = ' w3-hover-pale-green w3-margin-left ' ;   
				lie.innerHTML += '<span class="w3-tag w3-light-grey">'+mydata[i]['code'];
				lie.innerHTML += '<span class="w3-margin-left w3-text-grey ">'+gurus[g]['subj']+'</span> </span> <br>';  
				lie.innerHTML += '<span class="">&nbsp;'+gurus[g]['name']+ fscat +'</span>  '; 
				var img = document.createElement('img');
				img.src = 'images/icons/close_24px.png';
				img.alt = "images";
				img.className="w3-small w3-margin-bottom w3-right";
				img.setAttribute('onclick', 'alertDel('+i+','+g+ ',"' + gurus[g]['name']+  '")');	
				lie.appendChild(img);
				ule.appendChild(lie);
			
		}
	}
	add2div.appendChild(ule);
}