<!DOCTYPE html>
<html>
<title>Guruvidya-Paper Setting</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="css/base.css">

<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<body class="w3-sand">
<div class="w3-container logobgc">
	<div class="w3-row w3-margin-top w3-wide">
		 <img src="images/icons/guruvidyaicon.png"  alt="logo" class="w3-circle w3-margin-right"><span class="w3-large">Guruvidya</span>
		<span class="w3-right" id="todayid"></span>
	</div>
	
	<div class="w3-container w3-section w3-row menubgc"> <!-- header bar -->
		<div class="w3-col">
			<!-- header items -->  
			<i class="w3-btn w3-text-sand material-icons" title="Go back" onClick="window.location.href='classentry.php';">keyboard_backspace</i> 
			<i class="w3-btn w3-text-sand material-icons" title="Add class" onClick="window.location.href='classentry.php';">group</i> 
			<i class="w3-btn w3-text-sand material-icons" title="Add faculty/student" onClick="window.location.href='userentry.php';">person_add</i> 
			<i class="w3-btn w3-border w3-border-yellow w3-text-sand material-icons" title="Exam paper">assignment</i>
			
			<i class="w3-btn w3-text-sand material-icons" title="Exam Result">pie_chart</i>
			<i class="w3-btn w3-text-sand material-icons" title="Messages">alternate_email</i>
			<i class="w3-btn w3-text-sand material-icons" title="More...">more_vert</i>
			<i class="w3-btn w3-text-sand material-icons" title="Logoff" onClick="logout()">power_off</i> 
			<!-- header items -->
		</div>
	</div> <!-- header bar --> 
</div>
<!-- inputs --> 
<div class="w3-container w3-section">
	<div class="w3-row"> 
		<div class="w3-quarter">   
			<span class="w3-tag logobgc" id="pctxcid"></span>	
			<span class="w3-tag logobgc" id="pctxsid"></span>		
		</div> 
	</div>
	<div class="w3-row"> 		
		<div class="w3-quarter">    
			<input class="w3-input w3-margin-top w3-margin-bottom w3-border w3-pale-green"  type="text" id="gvpaperid" placeholder="Paper name"  title="Paper name" /> 
		</div>	 
		<div class="w3-quarter">  
		<i class="w3-btn w3-margin-left menubgc w3-text-white w3-margin-top w3-border material-icons" title="Reset" onClick="clearit()"  style="height:40px;">format_clear</i>
		<i class="w3-btn w3-margin-top menubgc w3-text-white w3-border material-icons" title="Add" onClick="addPaperEntry()"  style="height:40px;">check</i>  
		</div>	
		<div class="w3-quarter">  	
		<select class="w3-select w3-border w3-margin-top" id="gvselstudid"  style="height:40px;" title="Select student for corrections" required  onchange="showChartBtn()">
			<option value="0"  selected style="color:#849996" >Corrections for</option>  
		</select>		
		</div>	
	
	</div>  
</div>
<div class="w3-responsive" id="classlsid"></div> 
<!-- modal edit -->
<div id="gvpapermodid" class="w3-modal">
    <div class="w3-modal-content w3-light-grey">
      <header class="w3-container menubgc w3-text-white ">
        <span onclick="resetEdits()" 
        class="w3-button w3-display-topright">&times;</span>
        <h5 id="gvmpaperid">Edit</h5>
      </header>
      <div class="w3-container w3-section ">
		<div id="gvmods1id" >
		<div class="w3-row" >
			<div class="w3-quarter">
				<input type="datetime-local" class="w3-input w3-text-green w3-border" placeholder="Start" title="Start date time" id="gvpmstid"  style="height:40px;"/> 
			</div>
			<div class="w3-quarter">
				<input type="datetime-local" class="w3-input w3-text-red w3-border" placeholder="End" title="End date time" id="gvpmetid"  style="height:40px;"/> 
			</div>
			<div class="w3-half">
			<div class="w3-quarter">
				<input type="number" class="w3-input w3-border" placeholder="Start" title="Pass mark" id="gvpmpmid" value="35"/>
			</div>
			<div class="w3-quarter">
				<input type="number" class="w3-input w3-border elaki" placeholder="End" title="Total marks" id="gvpmtmid" disabled value="70"/>
			</div>
			<div class="w3-quarter">
					<select class="w3-select w3-border" id="gvgselstid"  style="height:40px;" title="Paper status" required > 
					<option value="0" disabled style="color:grey">Select Type </option> 
					<option value="1" selected>Draft</option> 
					<option value="2">Approved</option> 
					<option value="3">Published</option> 
					<option value="4">Corrected</option>  
					<option value="5">Archive</option> 
					</select>	
			</div>
			<div class="w3-quarter">
					<select class="w3-select w3-border " id="gvgseltlid"  style="height:40px;" title="Trial or real" required > 
						<option value="-1" disabled style="color:grey">Trial or real</option> 
						<option value="0" selected>Real</option>  
						<option value="1">Trial</option> 
					</select>
			</div>
			</div>
		</div>
		<div class="w3-row"> 
			<div class="w3-margin-top">
				<textarea class="w3-input w3-border" placeholder="Short general instructions" title="General instructions" id="gvpminid" col=4 rows=2 style="resize:none;"></textarea>
			</div> 
		</div>		 
		</div>
		<div class="w3-row" id="gvmods2id">
			<div class="w3-section w3-card w3-responsive">
				<div id="gvmodsecid"></div> 
				<div id="gvmodsecedid" class="w3-margin" style="display:none">
					<div class="w3-row"> 
						<div class="w3-third ">
							<div class="w3-row">
								<div class="w3-third">
								<input type="text" class="w3-input w3-border" placeholder="Section name" title="Section name" id="gvpmsnmid" />
								</div>
								<div class="w3-third">
								<input type="number" class="w3-input  w3-border" placeholder="Marks" title="Marks" id="gvpmsmkid" />
								</div> 
								<div class="w3-third">
								<input type="number" class="w3-input  w3-border" placeholder="How many Qs" title="How many Qs" id="gvpmsmyid" />
								</div> 						
							</div>
						</div>

						<div class="w3-third ">
							<div class="w3-row">
								<div class="w3-half">
								<select class="w3-select w3-border" id="gvgmsaaid"  style="height:40px;" title="Any/All" required > 
									<option value="-1" disabled style="color:grey">All/Any</option> 
									<option value="0" selected>All</option> 
									<option value="1">Any 1 Qs</option> 
									<option value="2">Any 2 Qs</option> 
									<option value="3">Any 3 Qs</option> 
									<option value="4">Any 4 Qs</option>  
									<option value="5">Any 5 Qs</option> 
									<option value="6">Any 6 Qs</option>  
								</select>
								</div>
								<div class="w3-half">
								<select class="w3-select w3-border" id="gvgmsatid"  style="height:40px;" title="Active or inactive" required > 
									<option value="-1" disabled style="color:grey">Is active?</option> 
									<option value="1" selected>Active</option> 
									<option value="0">Inactive</option>  
								</select>	
								</div>
							</div>
						</div>
						<div class="w3-third ">
							<div class="w3-row">
							<div class="w3-col" style="width:75%">
							<input type="text" class="w3-input w3-border" placeholder="Section about" title="Section About" id="gvpmsabid" />
							</div>
							<div class="w3-col" style="width:20%">
							<i class="bluemetal w3-btn w3-text-white w3-border material-icons" title="Add" onClick="updateSection()" style="margin:1px 0 0 0;height:40px;">playlist_add_check</i> 	
							</div> 
							</div> 
						</div> 
					</div>				
				</div> 
			</div>
		</div>
      </div>
      <footer class="w3-container nilgiri w3-border">
	  <div class="w3-margin-bottom ">
       <i class="w3-btn w3-margin-left menubgc w3-text-white w3-margin-top w3-border material-icons" title="Reset" onClick="resetEdits()"  style="height:40px;">format_clear</i>
		<i class="w3-btn w3-margin-top menubgc w3-text-white w3-border material-icons" title="Add" onClick="editPaperEntry()"  style="height:40px;">check</i> 
		</div>
      </footer>
    </div>
 </div>
<!-- modal edit -->
<script type="text/javascript" src="js/guruvidyagen.js"></script>  
<script type="text/javascript" src="js/guruvidyapaper.js"></script>  
</body>
</html>
